%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog-angular

# tests disabled due to circular dependency on npm(conventional-changelog-core)
%global enable_tests 0

Name:		nodejs-conventional-changelog-angular
Version:	1.3.3
Release:	1%{?dist}
Summary:	A conventional-changelog angular preset

License:	ISC
URL:		https://github.com/conventional-changelog/conventional-changelog-angular
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE-MIT


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(compare-func)
BuildRequires:	npm(github-url-from-git)
BuildRequires:	npm(q)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(conventional-changelog-core)
%endif

%description
A conventional-changelog angular preset


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.3-1
- Initial packaging
